| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations
IAnimatedMesh.h File Reference
`#include "aabbox3d.h"`
`#include "IMesh.h"`

Go to the source code of this file.

## Classes

- class irr::scene::IAnimatedMesh
    Interface for an animated mesh. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

- enum irr::scene::E_ANIMATED_MESH_TYPE {
  irr::scene::EAMT_UNKNOWN = 0, irr::scene::EAMT_MD2, irr::scene::EAMT_MD3, irr::scene::EAMT_OBJ,
  irr::scene::EAMT_BSP, irr::scene::EAMT_3DS, irr::scene::EAMT_MY3D, irr::scene::EAMT_LMTS,
  irr::scene::EAMT_CSM, irr::scene::EAMT_OCT, irr::scene::EAMT_MDL_HALFLIFE, irr::scene::EAMT_SKINNED
  }
    Possible types of (animated) meshes. More...